Enum CliFailure Code
Generated from cargo doc --no-deps -p nemo-relay -p nemo-relay-adaptive -p nemo-relay-pii-redaction -p nemo-relay-ffi -p nemo-relay-types -p nemo-relay-plugin -p nemo-relay-worker-proto -p nemo-relay-worker.
Failures at integrated CLI operation boundaries; causes come from producers.
Variants (Non-exhaustive)
ChildCleanup
ChildCleanup
Failure to clean up a supervised child tree.
UpstreamResponse
UpstreamResponse
Failure while reading or decoding an upstream response body.
Command
Command
Observation identified by cli.command_failed.
Configuration
Configuration
Observation identified by cli.configuration_failed.
GatewayBind
GatewayBind
Observation identified by cli.gateway.bind_failed.
GatewayServe
GatewayServe
Observation identified by cli.gateway.serve_failed.
Acquire
Acquire
Observation identified by cli.acquire_failed.
ChildSpawn
ChildSpawn
Observation identified by cli.child.spawn_failed.
ChildWait
ChildWait
Observation identified by cli.child.wait_failed.
HookForward
HookForward
Observation identified by cli.hook.forward_failed.
UpstreamTransport
UpstreamTransport
Observation identified by cli.upstream.transport_failed.
Implementations
impl CliFailureCode
impl CliFailureCode
canonical_name
pub const fn canonical_name(self) -> &'static str
Stable catalogue name.
allowed_classes
pub const fn allowed_classes(self) -> &'static [FailureClass]
Causes admissible at CLI boundaries; producers must not infer from text.
Trait Implementations
impl Clone for CliFailureCode
impl Clone for CliFailureCode
clone
fn clone(&self) -> CliFailureCode
clone_from
fn clone_from(&mut self, source: &Self)
impl Debug for CliFailureCode
impl Debug for CliFailureCode
fmt
fn fmt(&self, f: &mut Formatter<'_>) -> Result<(), Error>
impl<'de> Deserialize<'de> for CliFailureCode
impl<'de> Deserialize<'de> for CliFailureCode
deserialize
fn deserialize<__D>(
__deserializer: __D,
) -> Result<CliFailureCode, <__D as Deserializer<'de>>::Error>where
__D: Deserializer<'de>,
impl Hash for CliFailureCode
impl Hash for CliFailureCode
hash
fn hash<__H>(&self, state: &mut __H)where
__H: Hasher,
hash_slice
fn hash_slice<H>(data: &[Self], state: &mut H)where
H: Hasher,
Self: Sized,
impl Ord for CliFailureCode
impl Ord for CliFailureCode
cmp
fn cmp(&self, other: &CliFailureCode) -> Ordering
max
fn max(self, other: Self) -> Selfwhere
Self: Sized,
min
fn min(self, other: Self) -> Selfwhere
Self: Sized,
clamp
fn clamp(self, min: Self, max: Self) -> Selfwhere
Self: Sized,
impl PartialEq for CliFailureCode
impl PartialEq for CliFailureCode
eq
fn eq(&self, other: &CliFailureCode) -> bool
ne
fn ne(&self, other: &Rhs) -> bool
impl PartialOrd for CliFailureCode
impl PartialOrd for CliFailureCode
partial_cmp
fn partial_cmp(&self, other: &CliFailureCode) -> Option<Ordering>
lt
fn lt(&self, other: &Rhs) -> bool
le
fn le(&self, other: &Rhs) -> bool
gt
fn gt(&self, other: &Rhs) -> bool
ge
fn ge(&self, other: &Rhs) -> bool
impl Serialize for CliFailureCode
impl Serialize for CliFailureCode
serialize
fn serialize<__S>(
&self,
__serializer: __S,
) -> Result<<__S as Serializer>::Ok, <__S as Serializer>::Error>where
__S: Serializer,
impl Copy for CliFailureCode
impl Copy for CliFailureCode
impl Eq for CliFailureCode
impl Eq for CliFailureCode
impl StructuralPartialEq for CliFailureCode
impl StructuralPartialEq for CliFailureCode